package m05bSancionesEJB;


public class m05SancionesPK implements java.io.Serializable{

/**
 * This is the Primary Key for the Entity EJB <tt>m05Sanciones</tt>.
 */


  /**
   * This is the primary key.
   * It is the tasa codigo, which is the primary key
   * in table <tt>m0545t00</tt>.
   */
  public String san_codigo;



  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SancionesPK) {
      m05SancionesPK otherKey = (m05SancionesPK) obj;
      if (this.san_codigo == otherKey.san_codigo){
        return true;
      }
      else{
          return false;
      }
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {

    return (this.san_codigo.hashCode());
  }

}
